Skip to content
Coritan Docs

Organization API: Org Mail: Mail

The 45 Organization API operations for mail.

View as Markdown

Part of Org Mail.

Method Path Summary
GET /api/v1/orgs/{org_slug}/mail/overview Org mail overview
GET /api/v1/orgs/{org_slug}/mail/tenants List org tenants
GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id} Get summary
GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/aliases List aliases
POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/aliases Create alias
DELETE /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/aliases/{account_id} Delete alias
PATCH /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/category Set category
GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/credentials List credentials
POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/credentials Create credential
DELETE /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/credentials/{account_id} Delete credential
PATCH /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/credentials/{account_id}/enabled Credential enabled
POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/credentials/{account_id}/rotate Rotate credential
GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/domains List domains
POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/domains Add domain
DELETE /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/domains/{domain_id} Remove domain
PATCH /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/domains/{domain_id}/dmarc Set DMARC
GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/domains/{domain_id}/records Domain records
POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/domains/{domain_id}/verify Verify domain
GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/events List events
POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/limits/increase-request Request limit increase
GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes List mailboxes
POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes Create mailbox
DELETE /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id} Delete mailbox
GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/app-passwords Mailbox app passwords
POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/app-passwords Mailbox app password create
DELETE /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/app-passwords/{credential_id} Mailbox app password delete
PATCH /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/enabled Mailbox enabled
GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/imports Mailbox imports
POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/imports Mailbox import start
POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/imports/oauth Mailbox import sign in
POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/imports/upload Mailbox import upload
POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/imports/{import_id}/{action} Mailbox import steer
POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/password Mailbox password
PATCH /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/quota Mailbox quota
GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/sessions Mailbox sessions
DELETE /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/sessions Mailbox sessions end
DELETE /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/sessions/{session_id} Mailbox session end
POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/totp Mailbox totp enable
DELETE /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/totp Mailbox totp disable
POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/messages Send message
GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/reputation Reputation report
GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/suppressions List suppressions
POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/suppressions Add suppression
DELETE /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/suppressions/{suppression_id} Remove suppression
GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/usage Usage report

GET /api/v1/orgs/{org_slug}/mail/overview

Name In Type Required
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/mail/tenants

Name In Type Required Description
org_slug path string yes
customer_id query integer or null no
kind query string or null no
q query string or null no
limit query integer no Default: 100.
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}

Name In Type Required
org_slug path string yes
tenant_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/aliases

Name In Type Required
org_slug path string yes
tenant_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/aliases

Name In Type Required
org_slug path string yes
tenant_id path integer yes

application/json (required)

Field Type Required
domain_id integer yes
local_part string yes
targets array of string yes
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

DELETE /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/aliases/{account_id}

Name In Type Required
account_id path integer yes
org_slug path string yes
tenant_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

PATCH /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/category

Name In Type Required
org_slug path string yes
tenant_id path integer yes

application/json (required)

Field Type Required
default_category string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/credentials

Name In Type Required
org_slug path string yes
tenant_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/credentials

Name In Type Required
org_slug path string yes
tenant_id path integer yes

application/json (required)

Field Type Required
domain_id integer yes
label string no
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

DELETE /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/credentials/{account_id}

Name In Type Required
account_id path integer yes
org_slug path string yes
tenant_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

PATCH /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/credentials/{account_id}/enabled

Name In Type Required
account_id path integer yes
org_slug path string yes
tenant_id path integer yes

application/json (required)

Field Type Required
enabled boolean yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/credentials/{account_id}/rotate

Name In Type Required
account_id path integer yes
org_slug path string yes
tenant_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/domains

Name In Type Required
org_slug path string yes
tenant_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/domains

Name In Type Required
org_slug path string yes
tenant_id path integer yes

application/json (required)

Field Type Required
domain string yes
primary boolean no
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

DELETE /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/domains/{domain_id}

Name In Type Required
domain_id path integer yes
org_slug path string yes
tenant_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

PATCH /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/domains/{domain_id}/dmarc

Name In Type Required
domain_id path integer yes
org_slug path string yes
tenant_id path integer yes

application/json (required)

Field Type Required
stage string or null no
pinned boolean or null no
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/domains/{domain_id}/records

Name In Type Required
domain_id path integer yes
org_slug path string yes
tenant_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/domains/{domain_id}/verify

Name In Type Required
domain_id path integer yes
org_slug path string yes
tenant_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/events

Name In Type Required Description
org_slug path string yes
tenant_id path integer yes
category query string or null no
recipient query string or null no
hours query integer no Default: 24.
limit query integer no Default: 100.
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/limits/increase-request

Name In Type Required
org_slug path string yes
tenant_id path integer yes

application/json (required)

Field Type Required Description
requested_per_hour integer yes
reason string no What the relay sends and why the volume is going up
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes

Name In Type Required
org_slug path string yes
tenant_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes

Name In Type Required
org_slug path string yes
tenant_id path integer yes

application/json (required)

Field Type Required
domain_id integer yes
local_part string yes
password string or null no
display_name string or null no
quota_bytes integer or null no
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

DELETE /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}

Name In Type Required
account_id path integer yes
org_slug path string yes
tenant_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/app-passwords

Name In Type Required
account_id path integer yes
org_slug path string yes
tenant_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/app-passwords

Name In Type Required
account_id path integer yes
org_slug path string yes
tenant_id path integer yes

application/json (required)

Field Type Required
label string no
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

DELETE /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/app-passwords/{credential_id}

Name In Type Required
account_id path integer yes
credential_id path string yes
org_slug path string yes
tenant_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

PATCH /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/enabled

Name In Type Required
account_id path integer yes
org_slug path string yes
tenant_id path integer yes

application/json (required)

Field Type Required
enabled boolean yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/imports

Name In Type Required
account_id path integer yes
org_slug path string yes
tenant_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/imports

Name In Type Required
account_id path integer yes
org_slug path string yes
tenant_id path integer yes

application/json (required)

Field Type Required
preset string no
host string or null no
username string yes
password string yes
folders array of string no
since string (date) or null no
until string (date) or null no
trash boolean no
spam boolean no
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/imports/oauth

Name In Type Required
account_id path integer yes
org_slug path string yes
tenant_id path integer yes

application/json (required)

Field Type Required
provider string, one of google, microsoft yes
return_path string or null no
since string (date) or null no
until string (date) or null no
trash boolean no
spam boolean no
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/imports/upload

Name In Type Required
account_id path integer yes
org_slug path string yes
tenant_id path integer yes

multipart/form-data (required)

Field Type Required
file string (binary) yes
kind string no
folder string no
cpanel_mailbox string no
trash boolean no
spam boolean no
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/imports/{import_id}/{action}

Name In Type Required
account_id path integer yes
import_id path integer yes
action path string, one of pause, resume, cancel yes
org_slug path string yes
tenant_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/password

Name In Type Required
account_id path integer yes
org_slug path string yes
tenant_id path integer yes

application/json (required)

Field Type Required
password string or null no
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

PATCH /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/quota

Name In Type Required
account_id path integer yes
org_slug path string yes
tenant_id path integer yes

application/json (required)

Field Type Required
quota_bytes integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/sessions

Name In Type Required
account_id path integer yes
org_slug path string yes
tenant_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

DELETE /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/sessions

Name In Type Required
account_id path integer yes
org_slug path string yes
tenant_id path integer yes
Status Meaning
204 Success.
422 The request is not valid. detail lists each problem.

DELETE /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/sessions/{session_id}

Name In Type Required
account_id path integer yes
session_id path string yes
org_slug path string yes
tenant_id path integer yes
Status Meaning
204 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/totp

Name In Type Required
account_id path integer yes
org_slug path string yes
tenant_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

DELETE /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/mailboxes/{account_id}/totp

Name In Type Required
account_id path integer yes
org_slug path string yes
tenant_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/messages

Name In Type Required
org_slug path string yes
tenant_id path integer yes

application/json (required)

Field Type Required
from string yes
from_name string or null no
to array of string yes
cc array of string no
subject string no
text string or null no
html string or null no
reply_to string or null no
headers Headers no
category string or null no
Status Meaning
202 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/reputation

Name In Type Required Description
org_slug path string yes
tenant_id path integer yes
limit query integer no Default: 50.
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/suppressions

Name In Type Required
org_slug path string yes
tenant_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/suppressions

Name In Type Required
org_slug path string yes
tenant_id path integer yes

application/json (required)

Field Type Required
address string yes
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

DELETE /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/suppressions/{suppression_id}

Name In Type Required
suppression_id path integer yes
org_slug path string yes
tenant_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/usage

Name In Type Required Description
org_slug path string yes
tenant_id path integer yes
days query integer no Default: 30.
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.